Skip to main content
`Ctrl`+`K`

# Graph.remove_edge

Graph.remove_edge(u, v)

  Remove the edge between u and v.

  Parameters:
    u, v nodes

      Remove the edge between nodes u and v.

  Raises:
    NetworkXError

      If there is not an edge between u and v.

  See also

  `remove_edges_from`

    remove a collection of edges

  Examples

      >>> G = nx.path_graph(4)  # or DiGraph, etc
      >>> G.remove_edge(0, 1)
      >>> e = (1, 2)
      >>> G.remove_edge(*e)  # unpacks e from an edge tuple
      >>> e = (2, 3, {"weight": 7})  # an edge with attribute data
      >>> G.remove_edge(*e[:2])  # select first part of edge tuple